Bug 14104 - Нет визуализации в amaroK
: Нет визуализации в amaroK
Status: CLOSED WONTFIX
: Branch 4.0
(All bugs in Branch 4.0/amarok)
: 4.0
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-01-21 09:38 by
Modified: 2008-05-13 23:29 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-01-21 09:38:19
Нет визуализации в amaroK. При попытке её включить, всплывает окно:

Не установлена библиотека libvisual
Не установлены модули libvisual

[ilis@localhost ~]$ rpm -qa |grep libvisual
libvisual0.4-0.4.0-alt1
Steps to Reproduce:
1. Дистрибутив ALD4.0.2
2. Запустить amaroK
3. Выбрать "Визуализация"
Actual Results:  
Окно с ошибкой:
Не установлена библиотека libvisual
Не установлены модули libvisual


Expected Results:  
Список визуализаций (хотя бы один), либо описание способа их поставить.
------- Comment #1 From 2008-01-21 09:59:15 -------
$ apt-cache search libvisual0.4
libvisual0.4 - Libvisual is an abstraction library that comes between 
applications and audio visualisation plugins
libvisual0.4-devel - Development environment for libvisual
libvisual0.4-plugins - Libvisual library plugins
libvisual0.4-plugins-actor - libvisual actor plugins
libvisual0.4-plugins-input - libvisual plugins to capture PCM data from the 
different audio sources
libvisual0.4-plugins-input-alsa - The libvisual ALSA capture plugin
libvisual0.4-plugins-input-mplayer - The libvisual input plugin for use data 
exported from MPlayer
libvisual0.4-plugins-morph - libvisual0.4-plugins morph plugins

далее по вкусу
------- Comment #2 From 2008-01-21 10:04:28 -------
Хотелось бы, чтоб "из коробки" был хотя бы один плагин визуализации, а не окно 
с ошибкой, после которого непонятно, что делать...
------- Comment #3 From 2008-01-21 10:11:28 -------
"после которого" установить нужный пакет. дополнительных зависимостей на 
libvisual не будет, amarok и так не легкий, а всякие рюшечки нужны единицам
------- Comment #4 From 2008-01-21 10:19:42 -------
(In reply to comment #3)
> "после которого" установить нужный пакет. дополнительных зависимостей на 
> libvisual не будет, amarok и так не легкий, а всякие рюшечки нужны единицам
Я не смог установить, не силён пока :(
Всё, что у меня получилось, доустановил с диска то, что начинается с libvisual:
[ilis@localhost ~]$ rpm -qa |grep libvisual
libvisual-input-mplayer-0.2.0-alt2
gst-plugins-libvisual-0.10.14-alt1
libvisual0.4-0.4.0-alt1
libvisual0.4-devel-0.4.0-alt1
beep-visualization-libvisual-0.2.0-alt1
libvisual-0.2.0-alt3
libvisual0.4-plugins-input-mplayer-0.4.0-alt2
, но визуализации так и не появилось...
Может рюшечки и не нужны, но мне, как неделю назад пересевшему на линукс, 
такое поведение программы не нравится. Включите в дистрибутив один плагин или 
пусть в самом amaroK-е будет способ их устанавливать. Но ошибка "из коробки" --
 неправильно!
------- Comment #5 From 2008-01-21 10:35:29 -------
> Я не смог установить, не силён пока :(
учиться никогда не поздно. а таскать лишние и не использующиеся пакеты у нас 
не принято
------- Comment #6 From 2008-01-21 13:29:46 -------
end user должен видеть внятные сообщения. Можно добавить текст типа "установите
blablabla". еще можно сделать пакет amarok-fullbloat вытягивающий сам амарок и
всякие рюшки к нему.
------- Comment #7 From 2008-01-21 13:34:36 -------
патчи принимаются
------- Comment #8 From 2008-01-28 20:10:16 -------
(In reply to comment #1)
> $ apt-cache search libvisual0.4
> libvisual0.4 - Libvisual is an abstraction library that comes between 
> applications and audio visualisation plugins
> libvisual0.4-devel - Development environment for libvisual
> libvisual0.4-plugins - Libvisual library plugins
> libvisual0.4-plugins-actor - libvisual actor plugins
> libvisual0.4-plugins-input - libvisual plugins to capture PCM data from the 
> different audio sources
> libvisual0.4-plugins-input-alsa - The libvisual ALSA capture plugin
> libvisual0.4-plugins-input-mplayer - The libvisual input plugin for use data 
> exported from MPlayer
> libvisual0.4-plugins-morph - libvisual0.4-plugins morph plugins
> 
> далее по вкусу

В дистрибутив (4.0.2) это не входит. Подключил бранч:
$ apt-cache search libvisual
...
gst-plugins-libvisual - GStreamer plugin for libvisual
libvisual-plugins - Libvisual library plugins
libvisual0.4-plugins - Libvisual library plugins
...

Поставил все три, получил следующий список визуализаций в amaroK:

bumpscore -- показывает
corona -- показывает
gdkpixbuf -- ПУСТОЕ окно
gforce -- показывает
gstreamer -- ПАДАЕТ
infinite -- показывает
jakdaw -- показывает
jess -- показывает
lv_flover -- ПАДАЕТ
lv_gltest -- ПАДАЕТ
lv_scope -- показывает
madspin -- показывает
nastyfft -- ПАДАЕТ
oinksie -- показывает

Удалял и ставил
gst-plugins-libvisual
libvisual-plugins (0.2)
libvisual0.4-plugins
в разных сочетаниях, работает только с libvisual0.4

$ rpm -qa | grep -i visual | sort
beep-visualization-libvisual-0.2.0-alt1
libvisual-0.2.0-alt3
libvisual0.4-0.4.0-alt1
libvisual0.4-devel-0.4.0-alt1
libvisual0.4-plugins-0.4.0-alt2
libvisual0.4-plugins-actor-0.4.0-alt2
libvisual0.4-plugins-input-0.4.0-alt2
libvisual0.4-plugins-input-alsa-0.4.0-alt2
libvisual0.4-plugins-input-mplayer-0.4.0-alt2
libvisual0.4-plugins-morph-0.4.0-alt2

из них
beep-visualization-libvisual-0.2.0-alt1
libvisual-0.2.0-alt3
были в дистрибутиве, но какой в них смысл, непонятно...
Был баг на тему присутствия обеих версий, отмечен как FIXED.
------- Comment #9 From 2008-05-13 23:29:29 -------
ну так разберитесь и сделайте пустой пакет с нужными зависимостями